package org.expressolivre.cte.calendar.adicionar;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-943:Adicionar compromisso com repeticao semanal
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-943
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 1, 2011 at 3:43:08 PM
 * 
 */
public class AdicionarCompromissoComRepeticaoSemanalTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "dataInicial", "horaInicial",
			"minutoInicial", "horaFinal", "minutoFinal", "prioridade",
			"dataFinal", "dias" })
	@Test
	public void adicionarCompromissoComRepeticaoSemanal(
			@Optional("Normal") String tipo, String titulo, String dataInicial,
			String horaInicial, String minutoInicial, String horaFinal,
			String minutoFinal, @Optional("Normal") String prioridade,
			String dataFinal, String dias) throws ParseException {

		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
		Date dtIni = sdf2.parse(dataInicial);

		AppointmentPage ap = super.adicionarCompromisso(sdf.format(dtIni),
				tipo, titulo, dataInicial, horaInicial, minutoInicial,
				dataInicial, horaFinal, minutoFinal, prioridade);

		ap.setRecurType("semanal");
		ap.setRptUseEnd(dataFinal);
		ap.setRecurDays(Arrays.asList(dias.split(",")));

		ap.saveAppointment();
	}
}
